/*
Theme Name: GreatMag Child
Theme URI: http://athemes.com/theme/greatmag/
Description: Child theme of GreatMag with Datatype customizations. Update-safe.
Author: Datatype
Author URI: https://datatype.co.in
Template: greatmag
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: greatmag-child
*/

/* ==========================================================================
   Custom CSS - All Datatype customizations go here.
   These will NOT be lost on theme/WordPress updates.
   ========================================================================== */

.pad15{
	padding:15px !important;
}
.wp-block-image img,.post-main-image img{
	margin-top: 25px;
    margin-bottom: 25px;
    border: 1px solid #f4f4f4;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}
table.bordered tr, td{
	border: 1px solid #ccc;
}
table{
	margin-top: 30px !important;
	margin-bottom: 30px !important;
}
.add-margin{
	margin-top:30px;
	margin-bottom: 30px;
}
.wp-block-code, pre{
    background: #fff8b7;
	padding: 10px 20px !important;
    border: none !important;
	margin: 30px 0;
}
.entry-content ol, ul {
    margin-left: 25px;
}
.entry-content ol li {
    list-style: decimal;
}
.entry-content ul li {
    list-style: disc;
}
.entry-content p, li {
	font-size: 16px;
}
.widget ul {
	margin-left: 0;
}
.post h4{
	margin-top:25px;
}
.single-post-cats{
    display: none;
}
h1.entry-title, h2.page-title, .entry-title a{
    font-size: 24px;
    font-weight: 400;
}
.latest-update-title{
	padding: 15px 0;
}
.nav-previous {
    background: #f4f4f4;
    padding: 5px;
    color: blue;
    font-weight: 700;
    width: 49%!important;
}
.nav-next {
    background: #f4f4f4;
    padding: 5px;
    color: blue;
    font-weight: 700;
    width: 49% !important;
}
.tags-links a{
	font-weight: normal !important;
}
.media-body header, .site-main header{
    background: none !important;
}
.widget.widget_archive ul li a, .widget.widget_categories ul li a{
    float: none !important;
}
.widget.widget_archive ul li, .widget.widget_categories ul li{
    text-align: left !important;
}
.site-main footer{
    background: none !important;
    font-size: 12px;
}
.site-main header a:hover{
    color: #f8c200 !important;
}
.site-main header h1.page-title{
    font-size: 20px;
}
.site-main header{
    text-transform: none !important;
}
#page .main-menu{
    background: #fff;
    margin-bottom: 25px;
}
#site-navigation{
    display: none;
}
.post, .page, .widget{
    border: 1px solid #f4f4f4;
    box-shadow: 0 3px 5px rgba(0,0,0,.15);
}
.page{
	padding: 0 20px !important;
}
.page ol li {
    list-style: decimal;
    margin-left: 20px;
    padding-left: 5px;
}
.entry-content{
    padding-top: 20px;
}
.wp-block-image {
    max-width: 100%;
    margin-bottom: 2em;
    margin-left: 0;
    margin-right: 0;
}
table.books td, th{
    padding: 10px 52px !important;
}
.wp-shadow{
    box-shadow: 0 3px 2px rgba(0, 0, 0, 0.3);
    margin-top: 15px;
    margin-bottom: 15px;
}
table.books img{
    height: 281px;
    width: 250px;
    box-shadow: 0 3px 2px rgba(0, 0, 0, 0.3);
}
#wp-comment-cookies-consent{
    height: auto !important;
    margin-right: 5px;
}
.comment-form-cookies-consent label {
    font-weight: normal;
}
.preloader {
    display: none;
}
.entry-content .read-more{
    color: #fff;
    background-color: #14bdee;
    border-radius: 0;
    padding: 8px 30px;
    letter-spacing: 2px;
    font-weight: bold;
    line-height: 1;
    border: none;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
    margin-top: 30px;
}
.entry-content .read-more:hover{
    background-color: #f8c200 !important;
    color: #fff !important;
}

h1,h2,h3,h4,h5,h6 {
    color: #000;
    font-weight: 600;
}

.post-title-standard,
.post-title-small,
.post-title-big,
h1,h2,h3,h4,h5,h6 {
    font-family: 'Lato', sans-serif;
}

.entry-title.post-title-big{
	font-size: 30px !important;
	font-weight: bold;
}

/* Mobile Responsive Overrides */
@media (max-width: 767px) {
    .wp-block-image{
        width: 100%;
    }
    table.books img {
        height: 180px;
        width: 120px;
    }
    .menu > ul > li a {
        padding: 6px;
    }
}
@media (max-width: 991px) {
    .entry-content .read-more {
        line-height:4;
        white-space: pre;
    }
}
@media only screen and (max-width: 959px){
    table.books td, th {
        padding: 5px !important;
    }
    table.books img {
        height: 170px;
        width: 120px;
    }
    .wp-block-image figcaption {
        font-size: 12px;
    }
    .comment-info .small {
        margin-left: 0 !important;
        margin-top: 5px;
        margin-bottom:5px;
    }
    .hentry{
        padding: 22px;
    }
    .menu > ul > li a {
        padding: 6px;
    }
}
